summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author K. Eugene Carlson2022-04-23 04:38:22 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:11 +0200
commit5ffb695d082fc2a819641852807a167c7de27940 (patch)
treefe381282845d9a841346320c4002cf843811db4c
parentce9e901f71a6b3c4af1fcdf874cbcb832b150e1c (diff)
downloadslackbuilds-5ffb695d082fc2a819641852807a167c7de27940.tar.gz
libraries/libtpms: Added (library for emulating TPM 1.2 and 2.0)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libtpms/README4
-rw-r--r--libraries/libtpms/libtpms.SlackBuild109
-rw-r--r--libraries/libtpms/libtpms.info10
-rw-r--r--libraries/libtpms/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libtpms/README b/libraries/libtpms/README
new file mode 100644
index 0000000000..4b988f43f8
--- /dev/null
+++ b/libraries/libtpms/README
@@ -0,0 +1,4 @@
+libtpms (library for TPM 1.2 and 2.0 emulation)
+
+libtpms is a library for the software emulation of a Trusted Platform
+Module (TPM 1.2 and TPM 2.0).
diff --git a/libraries/libtpms/libtpms.SlackBuild b/libraries/libtpms/libtpms.SlackBuild
new file mode 100644
index 0000000000..6f57f50feb
--- /dev/null
+++ b/libraries/libtpms/libtpms.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for libtpms
+
+# Copyright 2022 K. Eugene Carlson Tsukuba, Japan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libtpms
+VERSION=${VERSION:-0.9.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc \
+ --mandir=/usr/man \
+ --with-tpm1 \
+ --with-tpm2 \
+ --enable-static=no \
+ --with-selinux=no
+make
+make install-strip DESTDIR=$PKG
+rm -f $PKG/usr/lib*/*.la
+
+gzip -9 $PKG/usr/man/man3/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libtpms/libtpms.info b/libraries/libtpms/libtpms.info
new file mode 100644
index 0000000000..d9c89d5c87
--- /dev/null
+++ b/libraries/libtpms/libtpms.info
@@ -0,0 +1,10 @@
+PRGNAM="libtpms"
+VERSION="0.9.3"
+HOMEPAGE="https://github.com/stefanberger/libtpms"
+DOWNLOAD="https://github.com/stefanberger/libtpms/archive/refs/tags/v0.9.3/libtpms-0.9.3.tar.gz"
+MD5SUM="f90124b851319d0ba96ded836a630a00"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="K. Eugene Carlson"
+EMAIL="kvngncrlsn@gmail.com"
diff --git a/libraries/libtpms/slack-desc b/libraries/libtpms/slack-desc
new file mode 100644
index 0000000000..0d7dae3de2
--- /dev/null
+++ b/libraries/libtpms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libtpms: libtpms (library for emulating TPM 1.2 and 2.0)
+libtpms:
+libtpms: libtpms is a library that provides software emulation of a Trusted
+libtpms: Platform Module (TPM 1.2 and TPM 2.0).
+libtpms:
+libtpms:
+libtpms:
+libtpms:
+libtpms:
+libtpms: Author: Stefan Berger
+libtpms: Homepage: https://github.com/stefanberger/libtpms